import express, { type Request, type Response } from "express";
import checkAuthenticated from '../../miscellaneous/checkAuthenticated';
import mediaRouter from './mediaRouter';
import cashTransactionRouter from './cashTransactionRouter';

const router = express.Router();

router.use('/media', mediaRouter);
router.use('/cash', checkAuthenticated, cashTransactionRouter);

router.get('/', function (req: Request, res: Response) {
  res.status(200).json({ message: 'API is working' });
});

export default router;